Subject: Re: [PATCH] Fix kobject_rename and !CONFIG_SYSFS v4

From: Andrew Morton <[email-masked]>
Date: Wed, 14 May 2008 02:56:12 -0700

On Wed, 14 May 2008 11:51:17 +0200 Benjamin Thery <[email-masked]> wrote:

> > uninlining sysfs_rename_dir() would be a sensible solution.
> 
> It is inlined only when CONFIG_SYSFS=n. When sysfs is enabled 
> sysfs_rename_dir() is compiled from fs/sysfs/dir.c
> 
> Uninlining it will require us to find an appropriate .c file to put it
> in: we can't put it in fs/sysfs/dir.c. It is not built if CONFIG_SYSFS 
> is disabled.

Well yes, that's the problem.  I stuck it in lib/kobject.c but ugh.

I guess we could make it a macro and quickly run away.